<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAbsenceRejectedResult ArrayType
 * @subpackage Arrays
 */
class ArrayOfAbsenceRejectedResult extends AbstractStructArrayBase
{
    /**
     * The AbsenceRejectedResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AbsenceRejectedResult[]
     */
    public $AbsenceRejectedResult;
    /**
     * Constructor method for ArrayOfAbsenceRejectedResult
     * @uses ArrayOfAbsenceRejectedResult::setAbsenceRejectedResult()
     * @param \StructType\AbsenceRejectedResult[] $absenceRejectedResult
     */
    public function __construct(array $absenceRejectedResult = array())
    {
        $this
            ->setAbsenceRejectedResult($absenceRejectedResult);
    }
    /**
     * Get AbsenceRejectedResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AbsenceRejectedResult[]|null
     */
    public function getAbsenceRejectedResult()
    {
        return isset($this->AbsenceRejectedResult) ? $this->AbsenceRejectedResult : null;
    }
    /**
     * Set AbsenceRejectedResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AbsenceRejectedResult[] $absenceRejectedResult
     * @return \ArrayType\ArrayOfAbsenceRejectedResult
     */
    public function setAbsenceRejectedResult(array $absenceRejectedResult = array())
    {
        foreach ($absenceRejectedResult as $arrayOfAbsenceRejectedResultAbsenceRejectedResultItem) {
            // validation for constraint: itemType
            if (!$arrayOfAbsenceRejectedResultAbsenceRejectedResultItem instanceof \StructType\AbsenceRejectedResult) {
                throw new \InvalidArgumentException(sprintf('The AbsenceRejectedResult property can only contain items of \StructType\AbsenceRejectedResult, "%s" given', is_object($arrayOfAbsenceRejectedResultAbsenceRejectedResultItem) ? get_class($arrayOfAbsenceRejectedResultAbsenceRejectedResultItem) : gettype($arrayOfAbsenceRejectedResultAbsenceRejectedResultItem)), __LINE__);
            }
        }
        if (is_null($absenceRejectedResult) || (is_array($absenceRejectedResult) && empty($absenceRejectedResult))) {
            unset($this->AbsenceRejectedResult);
        } else {
            $this->AbsenceRejectedResult = $absenceRejectedResult;
        }
        return $this;
    }
    /**
     * Add item to AbsenceRejectedResult value
     * @throws \InvalidArgumentException
     * @param \StructType\AbsenceRejectedResult $item
     * @return \ArrayType\ArrayOfAbsenceRejectedResult
     */
    public function addToAbsenceRejectedResult(\StructType\AbsenceRejectedResult $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AbsenceRejectedResult) {
            throw new \InvalidArgumentException(sprintf('The AbsenceRejectedResult property can only contain items of \StructType\AbsenceRejectedResult, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->AbsenceRejectedResult[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AbsenceRejectedResult|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AbsenceRejectedResult|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AbsenceRejectedResult|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AbsenceRejectedResult|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AbsenceRejectedResult|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AbsenceRejectedResult
     */
    public function getAttributeName()
    {
        return 'AbsenceRejectedResult';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfAbsenceRejectedResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
