<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfRepercussionResult ArrayType
 * @subpackage Arrays
 */
class ArrayOfRepercussionResult extends AbstractStructArrayBase
{
    /**
     * The RepercussionResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\RepercussionResult[]
     */
    public $RepercussionResult;
    /**
     * Constructor method for ArrayOfRepercussionResult
     * @uses ArrayOfRepercussionResult::setRepercussionResult()
     * @param \StructType\RepercussionResult[] $repercussionResult
     */
    public function __construct(array $repercussionResult = array())
    {
        $this
            ->setRepercussionResult($repercussionResult);
    }
    /**
     * Get RepercussionResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\RepercussionResult[]|null
     */
    public function getRepercussionResult()
    {
        return isset($this->RepercussionResult) ? $this->RepercussionResult : null;
    }
    /**
     * Set RepercussionResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\RepercussionResult[] $repercussionResult
     * @return \ArrayType\ArrayOfRepercussionResult
     */
    public function setRepercussionResult(array $repercussionResult = array())
    {
        foreach ($repercussionResult as $arrayOfRepercussionResultRepercussionResultItem) {
            // validation for constraint: itemType
            if (!$arrayOfRepercussionResultRepercussionResultItem instanceof \StructType\RepercussionResult) {
                throw new \InvalidArgumentException(sprintf('The RepercussionResult property can only contain items of \StructType\RepercussionResult, "%s" given', is_object($arrayOfRepercussionResultRepercussionResultItem) ? get_class($arrayOfRepercussionResultRepercussionResultItem) : gettype($arrayOfRepercussionResultRepercussionResultItem)), __LINE__);
            }
        }
        if (is_null($repercussionResult) || (is_array($repercussionResult) && empty($repercussionResult))) {
            unset($this->RepercussionResult);
        } else {
            $this->RepercussionResult = $repercussionResult;
        }
        return $this;
    }
    /**
     * Add item to RepercussionResult value
     * @throws \InvalidArgumentException
     * @param \StructType\RepercussionResult $item
     * @return \ArrayType\ArrayOfRepercussionResult
     */
    public function addToRepercussionResult(\StructType\RepercussionResult $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\RepercussionResult) {
            throw new \InvalidArgumentException(sprintf('The RepercussionResult property can only contain items of \StructType\RepercussionResult, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->RepercussionResult[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\RepercussionResult|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\RepercussionResult|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\RepercussionResult|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\RepercussionResult|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\RepercussionResult|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string RepercussionResult
     */
    public function getAttributeName()
    {
        return 'RepercussionResult';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfRepercussionResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
