<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddEnrollmentWithStatus StructType
 * @subpackage Structs
 */
class AddEnrollmentWithStatus extends AbstractStructBase
{
    /**
     * The communityId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $communityId;
    /**
     * The processId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $processId;
    /**
     * The traineeId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $traineeId;
    /**
     * The enrollmentMode
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $enrollmentMode;
    /**
     * The statusId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $statusId;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The enrollmentDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $enrollmentDate;
    /**
     * The enrollmentOrgList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $enrollmentOrgList;
    /**
     * The invoicingOrgList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $invoicingOrgList;
    /**
     * The invoicingPersList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $invoicingPersList;
    /**
     * The fieldList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fieldList;
    /**
     * The invoicingItems
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $invoicingItems;
    /**
     * Constructor method for AddEnrollmentWithStatus
     * @uses AddEnrollmentWithStatus::setCommunityId()
     * @uses AddEnrollmentWithStatus::setProcessId()
     * @uses AddEnrollmentWithStatus::setTraineeId()
     * @uses AddEnrollmentWithStatus::setEnrollmentMode()
     * @uses AddEnrollmentWithStatus::setStatusId()
     * @uses AddEnrollmentWithStatus::setGuid()
     * @uses AddEnrollmentWithStatus::setEnrollmentDate()
     * @uses AddEnrollmentWithStatus::setEnrollmentOrgList()
     * @uses AddEnrollmentWithStatus::setInvoicingOrgList()
     * @uses AddEnrollmentWithStatus::setInvoicingPersList()
     * @uses AddEnrollmentWithStatus::setFieldList()
     * @uses AddEnrollmentWithStatus::setInvoicingItems()
     * @param int $communityId
     * @param int $processId
     * @param int $traineeId
     * @param string $enrollmentMode
     * @param int $statusId
     * @param string $guid
     * @param string $enrollmentDate
     * @param string $enrollmentOrgList
     * @param string $invoicingOrgList
     * @param string $invoicingPersList
     * @param string $fieldList
     * @param string $invoicingItems
     */
    public function __construct($communityId = null, $processId = null, $traineeId = null, $enrollmentMode = null, $statusId = null, $guid = null, $enrollmentDate = null, $enrollmentOrgList = null, $invoicingOrgList = null, $invoicingPersList = null, $fieldList = null, $invoicingItems = null)
    {
        $this
            ->setCommunityId($communityId)
            ->setProcessId($processId)
            ->setTraineeId($traineeId)
            ->setEnrollmentMode($enrollmentMode)
            ->setStatusId($statusId)
            ->setGuid($guid)
            ->setEnrollmentDate($enrollmentDate)
            ->setEnrollmentOrgList($enrollmentOrgList)
            ->setInvoicingOrgList($invoicingOrgList)
            ->setInvoicingPersList($invoicingPersList)
            ->setFieldList($fieldList)
            ->setInvoicingItems($invoicingItems);
    }
    /**
     * Get communityId value
     * @return int
     */
    public function getCommunityId()
    {
        return $this->communityId;
    }
    /**
     * Set communityId value
     * @param int $communityId
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setCommunityId($communityId = null)
    {
        // validation for constraint: int
        if (!is_null($communityId) && !is_numeric($communityId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($communityId)), __LINE__);
        }
        $this->communityId = $communityId;
        return $this;
    }
    /**
     * Get processId value
     * @return int
     */
    public function getProcessId()
    {
        return $this->processId;
    }
    /**
     * Set processId value
     * @param int $processId
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setProcessId($processId = null)
    {
        // validation for constraint: int
        if (!is_null($processId) && !is_numeric($processId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($processId)), __LINE__);
        }
        $this->processId = $processId;
        return $this;
    }
    /**
     * Get traineeId value
     * @return int
     */
    public function getTraineeId()
    {
        return $this->traineeId;
    }
    /**
     * Set traineeId value
     * @param int $traineeId
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setTraineeId($traineeId = null)
    {
        // validation for constraint: int
        if (!is_null($traineeId) && !is_numeric($traineeId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($traineeId)), __LINE__);
        }
        $this->traineeId = $traineeId;
        return $this;
    }
    /**
     * Get enrollmentMode value
     * @return string
     */
    public function getEnrollmentMode()
    {
        return $this->enrollmentMode;
    }
    /**
     * Set enrollmentMode value
     * @uses \EnumType\ModeInscription::valueIsValid()
     * @uses \EnumType\ModeInscription::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $enrollmentMode
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setEnrollmentMode($enrollmentMode = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\ModeInscription::valueIsValid($enrollmentMode)) {
            throw new \InvalidArgumentException(sprintf('Value "%s" is invalid, please use one of: %s', $enrollmentMode, implode(', ', \EnumType\ModeInscription::getValidValues())), __LINE__);
        }
        $this->enrollmentMode = $enrollmentMode;
        return $this;
    }
    /**
     * Get statusId value
     * @return int
     */
    public function getStatusId()
    {
        return $this->statusId;
    }
    /**
     * Set statusId value
     * @param int $statusId
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setStatusId($statusId = null)
    {
        // validation for constraint: int
        if (!is_null($statusId) && !is_numeric($statusId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($statusId)), __LINE__);
        }
        $this->statusId = $statusId;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get enrollmentDate value
     * @return string|null
     */
    public function getEnrollmentDate()
    {
        return $this->enrollmentDate;
    }
    /**
     * Set enrollmentDate value
     * @param string $enrollmentDate
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setEnrollmentDate($enrollmentDate = null)
    {
        // validation for constraint: string
        if (!is_null($enrollmentDate) && !is_string($enrollmentDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($enrollmentDate)), __LINE__);
        }
        $this->enrollmentDate = $enrollmentDate;
        return $this;
    }
    /**
     * Get enrollmentOrgList value
     * @return string|null
     */
    public function getEnrollmentOrgList()
    {
        return $this->enrollmentOrgList;
    }
    /**
     * Set enrollmentOrgList value
     * @param string $enrollmentOrgList
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setEnrollmentOrgList($enrollmentOrgList = null)
    {
        // validation for constraint: string
        if (!is_null($enrollmentOrgList) && !is_string($enrollmentOrgList)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($enrollmentOrgList)), __LINE__);
        }
        $this->enrollmentOrgList = $enrollmentOrgList;
        return $this;
    }
    /**
     * Get invoicingOrgList value
     * @return string|null
     */
    public function getInvoicingOrgList()
    {
        return $this->invoicingOrgList;
    }
    /**
     * Set invoicingOrgList value
     * @param string $invoicingOrgList
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setInvoicingOrgList($invoicingOrgList = null)
    {
        // validation for constraint: string
        if (!is_null($invoicingOrgList) && !is_string($invoicingOrgList)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($invoicingOrgList)), __LINE__);
        }
        $this->invoicingOrgList = $invoicingOrgList;
        return $this;
    }
    /**
     * Get invoicingPersList value
     * @return string|null
     */
    public function getInvoicingPersList()
    {
        return $this->invoicingPersList;
    }
    /**
     * Set invoicingPersList value
     * @param string $invoicingPersList
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setInvoicingPersList($invoicingPersList = null)
    {
        // validation for constraint: string
        if (!is_null($invoicingPersList) && !is_string($invoicingPersList)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($invoicingPersList)), __LINE__);
        }
        $this->invoicingPersList = $invoicingPersList;
        return $this;
    }
    /**
     * Get fieldList value
     * @return string|null
     */
    public function getFieldList()
    {
        return $this->fieldList;
    }
    /**
     * Set fieldList value
     * @param string $fieldList
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setFieldList($fieldList = null)
    {
        // validation for constraint: string
        if (!is_null($fieldList) && !is_string($fieldList)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($fieldList)), __LINE__);
        }
        $this->fieldList = $fieldList;
        return $this;
    }
    /**
     * Get invoicingItems value
     * @return string|null
     */
    public function getInvoicingItems()
    {
        return $this->invoicingItems;
    }
    /**
     * Set invoicingItems value
     * @param string $invoicingItems
     * @return \StructType\AddEnrollmentWithStatus
     */
    public function setInvoicingItems($invoicingItems = null)
    {
        // validation for constraint: string
        if (!is_null($invoicingItems) && !is_string($invoicingItems)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($invoicingItems)), __LINE__);
        }
        $this->invoicingItems = $invoicingItems;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AddEnrollmentWithStatus
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
