<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddModule StructType
 * @subpackage Structs
 */
class AddModule extends AbstractStructBase
{
    /**
     * The IdCommunaute
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IdCommunaute;
    /**
     * The IdCatalogue
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IdCatalogue;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The Libelle
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Libelle;
    /**
     * The Code
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Code;
    /**
     * The TypeReferentiel
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $TypeReferentiel;
    /**
     * The IdDomaine
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IdDomaine;
    /**
     * The IdParent
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IdParent;
    /**
     * Constructor method for AddModule
     * @uses AddModule::setIdCommunaute()
     * @uses AddModule::setIdCatalogue()
     * @uses AddModule::setGuid()
     * @uses AddModule::setLibelle()
     * @uses AddModule::setCode()
     * @uses AddModule::setTypeReferentiel()
     * @uses AddModule::setIdDomaine()
     * @uses AddModule::setIdParent()
     * @param int $idCommunaute
     * @param int $idCatalogue
     * @param string $guid
     * @param string $libelle
     * @param string $code
     * @param string $typeReferentiel
     * @param string $idDomaine
     * @param string $idParent
     */
    public function __construct($idCommunaute = null, $idCatalogue = null, $guid = null, $libelle = null, $code = null, $typeReferentiel = null, $idDomaine = null, $idParent = null)
    {
        $this
            ->setIdCommunaute($idCommunaute)
            ->setIdCatalogue($idCatalogue)
            ->setGuid($guid)
            ->setLibelle($libelle)
            ->setCode($code)
            ->setTypeReferentiel($typeReferentiel)
            ->setIdDomaine($idDomaine)
            ->setIdParent($idParent);
    }
    /**
     * Get IdCommunaute value
     * @return int
     */
    public function getIdCommunaute()
    {
        return $this->IdCommunaute;
    }
    /**
     * Set IdCommunaute value
     * @param int $idCommunaute
     * @return \StructType\AddModule
     */
    public function setIdCommunaute($idCommunaute = null)
    {
        // validation for constraint: int
        if (!is_null($idCommunaute) && !is_numeric($idCommunaute)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCommunaute)), __LINE__);
        }
        $this->IdCommunaute = $idCommunaute;
        return $this;
    }
    /**
     * Get IdCatalogue value
     * @return int
     */
    public function getIdCatalogue()
    {
        return $this->IdCatalogue;
    }
    /**
     * Set IdCatalogue value
     * @param int $idCatalogue
     * @return \StructType\AddModule
     */
    public function setIdCatalogue($idCatalogue = null)
    {
        // validation for constraint: int
        if (!is_null($idCatalogue) && !is_numeric($idCatalogue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCatalogue)), __LINE__);
        }
        $this->IdCatalogue = $idCatalogue;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\AddModule
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get Libelle value
     * @return string|null
     */
    public function getLibelle()
    {
        return $this->Libelle;
    }
    /**
     * Set Libelle value
     * @param string $libelle
     * @return \StructType\AddModule
     */
    public function setLibelle($libelle = null)
    {
        // validation for constraint: string
        if (!is_null($libelle) && !is_string($libelle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($libelle)), __LINE__);
        }
        $this->Libelle = $libelle;
        return $this;
    }
    /**
     * Get Code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param string $code
     * @return \StructType\AddModule
     */
    public function setCode($code = null)
    {
        // validation for constraint: string
        if (!is_null($code) && !is_string($code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($code)), __LINE__);
        }
        $this->Code = $code;
        return $this;
    }
    /**
     * Get TypeReferentiel value
     * @return string|null
     */
    public function getTypeReferentiel()
    {
        return $this->TypeReferentiel;
    }
    /**
     * Set TypeReferentiel value
     * @param string $typeReferentiel
     * @return \StructType\AddModule
     */
    public function setTypeReferentiel($typeReferentiel = null)
    {
        // validation for constraint: string
        if (!is_null($typeReferentiel) && !is_string($typeReferentiel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($typeReferentiel)), __LINE__);
        }
        $this->TypeReferentiel = $typeReferentiel;
        return $this;
    }
    /**
     * Get IdDomaine value
     * @return string|null
     */
    public function getIdDomaine()
    {
        return $this->IdDomaine;
    }
    /**
     * Set IdDomaine value
     * @param string $idDomaine
     * @return \StructType\AddModule
     */
    public function setIdDomaine($idDomaine = null)
    {
        // validation for constraint: string
        if (!is_null($idDomaine) && !is_string($idDomaine)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($idDomaine)), __LINE__);
        }
        $this->IdDomaine = $idDomaine;
        return $this;
    }
    /**
     * Get IdParent value
     * @return string|null
     */
    public function getIdParent()
    {
        return $this->IdParent;
    }
    /**
     * Set IdParent value
     * @param string $idParent
     * @return \StructType\AddModule
     */
    public function setIdParent($idParent = null)
    {
        // validation for constraint: string
        if (!is_null($idParent) && !is_string($idParent)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($idParent)), __LINE__);
        }
        $this->IdParent = $idParent;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AddModule
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
