<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSessionGafad StructType
 * @subpackage Structs
 */
class AddSessionGafad extends AbstractStructBase
{
    /**
     * The communityId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $communityId;
    /**
     * The viewId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $viewId;
    /**
     * The moduleId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $moduleId;
    /**
     * The parentProcessId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $parentProcessId;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The processType
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $processType;
    /**
     * The designation
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $designation;
    /**
     * The code
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $code;
    /**
     * The startDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $startDate;
    /**
     * The endDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $endDate;
    /**
     * The invoicingItems
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $invoicingItems;
    /**
     * Constructor method for AddSessionGafad
     * @uses AddSessionGafad::setCommunityId()
     * @uses AddSessionGafad::setViewId()
     * @uses AddSessionGafad::setModuleId()
     * @uses AddSessionGafad::setParentProcessId()
     * @uses AddSessionGafad::setGuid()
     * @uses AddSessionGafad::setProcessType()
     * @uses AddSessionGafad::setDesignation()
     * @uses AddSessionGafad::setCode()
     * @uses AddSessionGafad::setStartDate()
     * @uses AddSessionGafad::setEndDate()
     * @uses AddSessionGafad::setInvoicingItems()
     * @param int $communityId
     * @param int $viewId
     * @param int $moduleId
     * @param int $parentProcessId
     * @param string $guid
     * @param string $processType
     * @param string $designation
     * @param string $code
     * @param string $startDate
     * @param string $endDate
     * @param string $invoicingItems
     */
    public function __construct($communityId = null, $viewId = null, $moduleId = null, $parentProcessId = null, $guid = null, $processType = null, $designation = null, $code = null, $startDate = null, $endDate = null, $invoicingItems = null)
    {
        $this
            ->setCommunityId($communityId)
            ->setViewId($viewId)
            ->setModuleId($moduleId)
            ->setParentProcessId($parentProcessId)
            ->setGuid($guid)
            ->setProcessType($processType)
            ->setDesignation($designation)
            ->setCode($code)
            ->setStartDate($startDate)
            ->setEndDate($endDate)
            ->setInvoicingItems($invoicingItems);
    }
    /**
     * Get communityId value
     * @return int
     */
    public function getCommunityId()
    {
        return $this->communityId;
    }
    /**
     * Set communityId value
     * @param int $communityId
     * @return \StructType\AddSessionGafad
     */
    public function setCommunityId($communityId = null)
    {
        // validation for constraint: int
        if (!is_null($communityId) && !is_numeric($communityId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($communityId)), __LINE__);
        }
        $this->communityId = $communityId;
        return $this;
    }
    /**
     * Get viewId value
     * @return int
     */
    public function getViewId()
    {
        return $this->viewId;
    }
    /**
     * Set viewId value
     * @param int $viewId
     * @return \StructType\AddSessionGafad
     */
    public function setViewId($viewId = null)
    {
        // validation for constraint: int
        if (!is_null($viewId) && !is_numeric($viewId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($viewId)), __LINE__);
        }
        $this->viewId = $viewId;
        return $this;
    }
    /**
     * Get moduleId value
     * @return int
     */
    public function getModuleId()
    {
        return $this->moduleId;
    }
    /**
     * Set moduleId value
     * @param int $moduleId
     * @return \StructType\AddSessionGafad
     */
    public function setModuleId($moduleId = null)
    {
        // validation for constraint: int
        if (!is_null($moduleId) && !is_numeric($moduleId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($moduleId)), __LINE__);
        }
        $this->moduleId = $moduleId;
        return $this;
    }
    /**
     * Get parentProcessId value
     * @return int
     */
    public function getParentProcessId()
    {
        return $this->parentProcessId;
    }
    /**
     * Set parentProcessId value
     * @param int $parentProcessId
     * @return \StructType\AddSessionGafad
     */
    public function setParentProcessId($parentProcessId = null)
    {
        // validation for constraint: int
        if (!is_null($parentProcessId) && !is_numeric($parentProcessId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($parentProcessId)), __LINE__);
        }
        $this->parentProcessId = $parentProcessId;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\AddSessionGafad
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get processType value
     * @return string|null
     */
    public function getProcessType()
    {
        return $this->processType;
    }
    /**
     * Set processType value
     * @param string $processType
     * @return \StructType\AddSessionGafad
     */
    public function setProcessType($processType = null)
    {
        // validation for constraint: string
        if (!is_null($processType) && !is_string($processType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($processType)), __LINE__);
        }
        $this->processType = $processType;
        return $this;
    }
    /**
     * Get designation value
     * @return string|null
     */
    public function getDesignation()
    {
        return $this->designation;
    }
    /**
     * Set designation value
     * @param string $designation
     * @return \StructType\AddSessionGafad
     */
    public function setDesignation($designation = null)
    {
        // validation for constraint: string
        if (!is_null($designation) && !is_string($designation)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($designation)), __LINE__);
        }
        $this->designation = $designation;
        return $this;
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \StructType\AddSessionGafad
     */
    public function setCode($code = null)
    {
        // validation for constraint: string
        if (!is_null($code) && !is_string($code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($code)), __LINE__);
        }
        $this->code = $code;
        return $this;
    }
    /**
     * Get startDate value
     * @return string|null
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param string $startDate
     * @return \StructType\AddSessionGafad
     */
    public function setStartDate($startDate = null)
    {
        // validation for constraint: string
        if (!is_null($startDate) && !is_string($startDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($startDate)), __LINE__);
        }
        $this->startDate = $startDate;
        return $this;
    }
    /**
     * Get endDate value
     * @return string|null
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param string $endDate
     * @return \StructType\AddSessionGafad
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($endDate)), __LINE__);
        }
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get invoicingItems value
     * @return string|null
     */
    public function getInvoicingItems()
    {
        return $this->invoicingItems;
    }
    /**
     * Set invoicingItems value
     * @param string $invoicingItems
     * @return \StructType\AddSessionGafad
     */
    public function setInvoicingItems($invoicingItems = null)
    {
        // validation for constraint: string
        if (!is_null($invoicingItems) && !is_string($invoicingItems)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($invoicingItems)), __LINE__);
        }
        $this->invoicingItems = $invoicingItems;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AddSessionGafad
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
