<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateAbsences StructType
 * @subpackage Structs
 */
class CreateAbsences extends AbstractStructBase
{
    /**
     * The declarationId
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $declarationId;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The absences
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfAbsence
     */
    public $absences;
    /**
     * Constructor method for CreateAbsences
     * @uses CreateAbsences::setDeclarationId()
     * @uses CreateAbsences::setGuid()
     * @uses CreateAbsences::setAbsences()
     * @param int $declarationId
     * @param string $guid
     * @param \ArrayType\ArrayOfAbsence $absences
     */
    public function __construct($declarationId = null, $guid = null, \ArrayType\ArrayOfAbsence $absences = null)
    {
        $this
            ->setDeclarationId($declarationId)
            ->setGuid($guid)
            ->setAbsences($absences);
    }
    /**
     * Get declarationId value
     * @return int
     */
    public function getDeclarationId()
    {
        return $this->declarationId;
    }
    /**
     * Set declarationId value
     * @param int $declarationId
     * @return \StructType\CreateAbsences
     */
    public function setDeclarationId($declarationId = null)
    {
        // validation for constraint: int
        if (!is_null($declarationId) && !is_numeric($declarationId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($declarationId)), __LINE__);
        }
        $this->declarationId = $declarationId;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\CreateAbsences
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get absences value
     * @return \ArrayType\ArrayOfAbsence|null
     */
    public function getAbsences()
    {
        return $this->absences;
    }
    /**
     * Set absences value
     * @param \ArrayType\ArrayOfAbsence $absences
     * @return \StructType\CreateAbsences
     */
    public function setAbsences(\ArrayType\ArrayOfAbsence $absences = null)
    {
        $this->absences = $absences;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreateAbsences
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
