<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getDomainesXml StructType
 * @subpackage Structs
 */
class GetDomainesXml extends AbstractStructBase
{
    /**
     * The idCommunaute
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idCommunaute;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The strListeTypeReferentiels
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strListeTypeReferentiels;
    /**
     * The sIdCatalogue
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sIdCatalogue;
    /**
     * Constructor method for getDomainesXml
     * @uses GetDomainesXml::setIdCommunaute()
     * @uses GetDomainesXml::setGuid()
     * @uses GetDomainesXml::setStrListeTypeReferentiels()
     * @uses GetDomainesXml::setSIdCatalogue()
     * @param int $idCommunaute
     * @param string $guid
     * @param string $strListeTypeReferentiels
     * @param string $sIdCatalogue
     */
    public function __construct($idCommunaute = null, $guid = null, $strListeTypeReferentiels = null, $sIdCatalogue = null)
    {
        $this
            ->setIdCommunaute($idCommunaute)
            ->setGuid($guid)
            ->setStrListeTypeReferentiels($strListeTypeReferentiels)
            ->setSIdCatalogue($sIdCatalogue);
    }
    /**
     * Get idCommunaute value
     * @return int
     */
    public function getIdCommunaute()
    {
        return $this->idCommunaute;
    }
    /**
     * Set idCommunaute value
     * @param int $idCommunaute
     * @return \StructType\GetDomainesXml
     */
    public function setIdCommunaute($idCommunaute = null)
    {
        // validation for constraint: int
        if (!is_null($idCommunaute) && !is_numeric($idCommunaute)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCommunaute)), __LINE__);
        }
        $this->idCommunaute = $idCommunaute;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\GetDomainesXml
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get strListeTypeReferentiels value
     * @return string|null
     */
    public function getStrListeTypeReferentiels()
    {
        return $this->strListeTypeReferentiels;
    }
    /**
     * Set strListeTypeReferentiels value
     * @param string $strListeTypeReferentiels
     * @return \StructType\GetDomainesXml
     */
    public function setStrListeTypeReferentiels($strListeTypeReferentiels = null)
    {
        // validation for constraint: string
        if (!is_null($strListeTypeReferentiels) && !is_string($strListeTypeReferentiels)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($strListeTypeReferentiels)), __LINE__);
        }
        $this->strListeTypeReferentiels = $strListeTypeReferentiels;
        return $this;
    }
    /**
     * Get sIdCatalogue value
     * @return string|null
     */
    public function getSIdCatalogue()
    {
        return $this->sIdCatalogue;
    }
    /**
     * Set sIdCatalogue value
     * @param string $sIdCatalogue
     * @return \StructType\GetDomainesXml
     */
    public function setSIdCatalogue($sIdCatalogue = null)
    {
        // validation for constraint: string
        if (!is_null($sIdCatalogue) && !is_string($sIdCatalogue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sIdCatalogue)), __LINE__);
        }
        $this->sIdCatalogue = $sIdCatalogue;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetDomainesXml
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
