<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getModule StructType
 * @subpackage Structs
 */
class GetModule extends AbstractStructBase
{
    /**
     * The idCommunaute
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idCommunaute;
    /**
     * The idModule
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idModule;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The strListeTypeReferentielsCibles
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strListeTypeReferentielsCibles;
    /**
     * The EtatsProcess
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EtatsProcess;
    /**
     * Constructor method for getModule
     * @uses GetModule::setIdCommunaute()
     * @uses GetModule::setIdModule()
     * @uses GetModule::setGuid()
     * @uses GetModule::setStrListeTypeReferentielsCibles()
     * @uses GetModule::setEtatsProcess()
     * @param int $idCommunaute
     * @param int $idModule
     * @param string $guid
     * @param string $strListeTypeReferentielsCibles
     * @param string $etatsProcess
     */
    public function __construct($idCommunaute = null, $idModule = null, $guid = null, $strListeTypeReferentielsCibles = null, $etatsProcess = null)
    {
        $this
            ->setIdCommunaute($idCommunaute)
            ->setIdModule($idModule)
            ->setGuid($guid)
            ->setStrListeTypeReferentielsCibles($strListeTypeReferentielsCibles)
            ->setEtatsProcess($etatsProcess);
    }
    /**
     * Get idCommunaute value
     * @return int
     */
    public function getIdCommunaute()
    {
        return $this->idCommunaute;
    }
    /**
     * Set idCommunaute value
     * @param int $idCommunaute
     * @return \StructType\GetModule
     */
    public function setIdCommunaute($idCommunaute = null)
    {
        // validation for constraint: int
        if (!is_null($idCommunaute) && !is_numeric($idCommunaute)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCommunaute)), __LINE__);
        }
        $this->idCommunaute = $idCommunaute;
        return $this;
    }
    /**
     * Get idModule value
     * @return int
     */
    public function getIdModule()
    {
        return $this->idModule;
    }
    /**
     * Set idModule value
     * @param int $idModule
     * @return \StructType\GetModule
     */
    public function setIdModule($idModule = null)
    {
        // validation for constraint: int
        if (!is_null($idModule) && !is_numeric($idModule)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idModule)), __LINE__);
        }
        $this->idModule = $idModule;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\GetModule
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get strListeTypeReferentielsCibles value
     * @return string|null
     */
    public function getStrListeTypeReferentielsCibles()
    {
        return $this->strListeTypeReferentielsCibles;
    }
    /**
     * Set strListeTypeReferentielsCibles value
     * @param string $strListeTypeReferentielsCibles
     * @return \StructType\GetModule
     */
    public function setStrListeTypeReferentielsCibles($strListeTypeReferentielsCibles = null)
    {
        // validation for constraint: string
        if (!is_null($strListeTypeReferentielsCibles) && !is_string($strListeTypeReferentielsCibles)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($strListeTypeReferentielsCibles)), __LINE__);
        }
        $this->strListeTypeReferentielsCibles = $strListeTypeReferentielsCibles;
        return $this;
    }
    /**
     * Get EtatsProcess value
     * @return string|null
     */
    public function getEtatsProcess()
    {
        return $this->EtatsProcess;
    }
    /**
     * Set EtatsProcess value
     * @param string $etatsProcess
     * @return \StructType\GetModule
     */
    public function setEtatsProcess($etatsProcess = null)
    {
        // validation for constraint: string
        if (!is_null($etatsProcess) && !is_string($etatsProcess)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($etatsProcess)), __LINE__);
        }
        $this->EtatsProcess = $etatsProcess;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetModule
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
