<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getSession StructType
 * @subpackage Structs
 */
class GetSession extends AbstractStructBase
{
    /**
     * The idCommunaute
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idCommunaute;
    /**
     * The idSession
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idSession;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The strListeTypeReferentielsCibles
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $strListeTypeReferentielsCibles;
    /**
     * The sChampAbsences
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sChampAbsences;
    /**
     * The sChampFacturation
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sChampFacturation;
    /**
     * Constructor method for getSession
     * @uses GetSession::setIdCommunaute()
     * @uses GetSession::setIdSession()
     * @uses GetSession::setGuid()
     * @uses GetSession::setStrListeTypeReferentielsCibles()
     * @uses GetSession::setSChampAbsences()
     * @uses GetSession::setSChampFacturation()
     * @param int $idCommunaute
     * @param int $idSession
     * @param string $guid
     * @param string $strListeTypeReferentielsCibles
     * @param string $sChampAbsences
     * @param string $sChampFacturation
     */
    public function __construct($idCommunaute = null, $idSession = null, $guid = null, $strListeTypeReferentielsCibles = null, $sChampAbsences = null, $sChampFacturation = null)
    {
        $this
            ->setIdCommunaute($idCommunaute)
            ->setIdSession($idSession)
            ->setGuid($guid)
            ->setStrListeTypeReferentielsCibles($strListeTypeReferentielsCibles)
            ->setSChampAbsences($sChampAbsences)
            ->setSChampFacturation($sChampFacturation);
    }
    /**
     * Get idCommunaute value
     * @return int
     */
    public function getIdCommunaute()
    {
        return $this->idCommunaute;
    }
    /**
     * Set idCommunaute value
     * @param int $idCommunaute
     * @return \StructType\GetSession
     */
    public function setIdCommunaute($idCommunaute = null)
    {
        // validation for constraint: int
        if (!is_null($idCommunaute) && !is_numeric($idCommunaute)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCommunaute)), __LINE__);
        }
        $this->idCommunaute = $idCommunaute;
        return $this;
    }
    /**
     * Get idSession value
     * @return int
     */
    public function getIdSession()
    {
        return $this->idSession;
    }
    /**
     * Set idSession value
     * @param int $idSession
     * @return \StructType\GetSession
     */
    public function setIdSession($idSession = null)
    {
        // validation for constraint: int
        if (!is_null($idSession) && !is_numeric($idSession)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idSession)), __LINE__);
        }
        $this->idSession = $idSession;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\GetSession
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get strListeTypeReferentielsCibles value
     * @return string|null
     */
    public function getStrListeTypeReferentielsCibles()
    {
        return $this->strListeTypeReferentielsCibles;
    }
    /**
     * Set strListeTypeReferentielsCibles value
     * @param string $strListeTypeReferentielsCibles
     * @return \StructType\GetSession
     */
    public function setStrListeTypeReferentielsCibles($strListeTypeReferentielsCibles = null)
    {
        // validation for constraint: string
        if (!is_null($strListeTypeReferentielsCibles) && !is_string($strListeTypeReferentielsCibles)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($strListeTypeReferentielsCibles)), __LINE__);
        }
        $this->strListeTypeReferentielsCibles = $strListeTypeReferentielsCibles;
        return $this;
    }
    /**
     * Get sChampAbsences value
     * @return string|null
     */
    public function getSChampAbsences()
    {
        return $this->sChampAbsences;
    }
    /**
     * Set sChampAbsences value
     * @param string $sChampAbsences
     * @return \StructType\GetSession
     */
    public function setSChampAbsences($sChampAbsences = null)
    {
        // validation for constraint: string
        if (!is_null($sChampAbsences) && !is_string($sChampAbsences)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sChampAbsences)), __LINE__);
        }
        $this->sChampAbsences = $sChampAbsences;
        return $this;
    }
    /**
     * Get sChampFacturation value
     * @return string|null
     */
    public function getSChampFacturation()
    {
        return $this->sChampFacturation;
    }
    /**
     * Set sChampFacturation value
     * @param string $sChampFacturation
     * @return \StructType\GetSession
     */
    public function setSChampFacturation($sChampFacturation = null)
    {
        // validation for constraint: string
        if (!is_null($sChampFacturation) && !is_string($sChampFacturation)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sChampFacturation)), __LINE__);
        }
        $this->sChampFacturation = $sChampFacturation;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetSession
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
