<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OflMajCommentaire StructType
 * @subpackage Structs
 */
class OflMajCommentaire extends AbstractStructBase
{
    /**
     * The idCommunaute
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idCommunaute;
    /**
     * The idRegle
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idRegle;
    /**
     * The idCandidature
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idCandidature;
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $guid;
    /**
     * The commentaire
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $commentaire;
    /**
     * Constructor method for OflMajCommentaire
     * @uses OflMajCommentaire::setIdCommunaute()
     * @uses OflMajCommentaire::setIdRegle()
     * @uses OflMajCommentaire::setIdCandidature()
     * @uses OflMajCommentaire::setGuid()
     * @uses OflMajCommentaire::setCommentaire()
     * @param int $idCommunaute
     * @param int $idRegle
     * @param int $idCandidature
     * @param string $guid
     * @param string $commentaire
     */
    public function __construct($idCommunaute = null, $idRegle = null, $idCandidature = null, $guid = null, $commentaire = null)
    {
        $this
            ->setIdCommunaute($idCommunaute)
            ->setIdRegle($idRegle)
            ->setIdCandidature($idCandidature)
            ->setGuid($guid)
            ->setCommentaire($commentaire);
    }
    /**
     * Get idCommunaute value
     * @return int
     */
    public function getIdCommunaute()
    {
        return $this->idCommunaute;
    }
    /**
     * Set idCommunaute value
     * @param int $idCommunaute
     * @return \StructType\OflMajCommentaire
     */
    public function setIdCommunaute($idCommunaute = null)
    {
        // validation for constraint: int
        if (!is_null($idCommunaute) && !is_numeric($idCommunaute)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCommunaute)), __LINE__);
        }
        $this->idCommunaute = $idCommunaute;
        return $this;
    }
    /**
     * Get idRegle value
     * @return int
     */
    public function getIdRegle()
    {
        return $this->idRegle;
    }
    /**
     * Set idRegle value
     * @param int $idRegle
     * @return \StructType\OflMajCommentaire
     */
    public function setIdRegle($idRegle = null)
    {
        // validation for constraint: int
        if (!is_null($idRegle) && !is_numeric($idRegle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idRegle)), __LINE__);
        }
        $this->idRegle = $idRegle;
        return $this;
    }
    /**
     * Get idCandidature value
     * @return int
     */
    public function getIdCandidature()
    {
        return $this->idCandidature;
    }
    /**
     * Set idCandidature value
     * @param int $idCandidature
     * @return \StructType\OflMajCommentaire
     */
    public function setIdCandidature($idCandidature = null)
    {
        // validation for constraint: int
        if (!is_null($idCandidature) && !is_numeric($idCandidature)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idCandidature)), __LINE__);
        }
        $this->idCandidature = $idCandidature;
        return $this;
    }
    /**
     * Get guid value
     * @return string|null
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return \StructType\OflMajCommentaire
     */
    public function setGuid($guid = null)
    {
        // validation for constraint: string
        if (!is_null($guid) && !is_string($guid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($guid)), __LINE__);
        }
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get commentaire value
     * @return string|null
     */
    public function getCommentaire()
    {
        return $this->commentaire;
    }
    /**
     * Set commentaire value
     * @param string $commentaire
     * @return \StructType\OflMajCommentaire
     */
    public function setCommentaire($commentaire = null)
    {
        // validation for constraint: string
        if (!is_null($commentaire) && !is_string($commentaire)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($commentaire)), __LINE__);
        }
        $this->commentaire = $commentaire;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OflMajCommentaire
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
